schemaVersion: "1.0"
pattern:
  id: "f4e909fcaf0ae3f6effb28ae"
  className: "ch.nevis.admin.v4.plugin.base.generation.patterns.JavaObservability"
  name: "ObservabilitySettings"
  properties:
    type: "OpenTelemetry"
    configuration: "otel.service.name = ${service.name}\notel.resource.attributes\
      \ = service.version=${version}\notel.exporter.otlp.protocol = http/protobuf\n\
      otel.exporter.otlp.traces.protocol = http/protobuf\notel.exporter.otlp.traces.endpoint\
      \ = ${tracesEndpoint}\notel.exporter.otlp.metrics.protocol = http/protobuf\n\
      otel.exporter.otlp.metrics.endpoint = ${metricsEndpoint}\notel.exporter.otlp.metrics.temporality.preference\
      \ = cumulative\notel.exporter.otlp.logs.protocol = http/protobuf\notel.exporter.otlp.logs.endpoint\
      \ = ${logsEndpoint}"
    parameters: "var://observabilitysettings"
